[PATCH app-rstart 05/15] config: use sed rather than cpp to substitute rsh command value
Gaetan Nadon
memsize at videotron.ca
Sun Jan 23 17:30:14 PST 2011
Use @RSH@ from autconf to obtain the rsh command value.
Signed-off-by: Gaetan Nadon <memsize at videotron.ca>
---
Makefile.am | 8 ++--
client.cpp | 124 -----------------------------------------------------------
rstart.in | 124 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 128 insertions(+), 128 deletions(-)
delete mode 100644 client.cpp
create mode 100644 rstart.in
diff --git a/Makefile.am b/Makefile.am
index 857430f..8ce3bdb 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -63,15 +63,15 @@ config: config.cpp
bin_SCRIPTS = rstart rstartd
-rstart: client.cpp
- $(AM_V_GEN) $(RAWCPP) $(RAWCPPFLAGS) -DRSHCMD=$(RSH) \
- < ${srcdir}/client.cpp | $(CPP_SED_MAGIC) > $@
+RSTART_SUBSTS = -e 's|@RSH[@]|$(RSH)|g'
+rstart: rstart.in
+ $(AM_V_GEN)$(SED) $(RSTART_SUBSTS) < $< > $@
RSTARTD_SUBSTS = -e 's|@rstartdir[@]|$(rstartdir)|g'
rstartd: rstartd.in
$(AM_V_GEN)$(SED) $(RSTARTD_SUBSTS) < $< > $@
-EXTRA_DIST = client.cpp rstartd.in config.cpp
+EXTRA_DIST = rstart.in rstartd.in config.cpp
MAINTAINERCLEANFILES = ChangeLog INSTALL
CLEANFILES = rstart rstartd config
diff --git a/client.cpp b/client.cpp
deleted file mode 100644
index 8418d25..0000000
--- a/client.cpp
+++ /dev/null
@@ -1,124 +0,0 @@
-XCOMM! /bin/sh
-XCOMM $Xorg: client.cpp,v 1.4 2000/12/20 16:41:43 pookie Exp $
-XCOMM
-
-XCOMM Copyright (c) 1993 Quarterdeck Office Systems
-XCOMM
-XCOMM Permission to use, copy, modify, distribute, and sell this software
-XCOMM and software and its documentation for any purpose is hereby granted
-XCOMM without fee, provided that the above copyright notice appear in all
-XCOMM copies and that both that copyright notice and this permission
-XCOMM notice appear in supporting documentation, and that the name
-XCOMM Quarterdeck Office Systems, Inc. not be used in advertising or
-XCOMM publicity pertaining to distribution of this software without
-XCOMM specific, written prior permission.
-XCOMM
-XCOMM THIS SOFTWARE IS PROVIDED "AS-IS". QUARTERDECK OFFICE SYSTEMS,
-XCOMM INC., DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
-XCOMM INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF
-XCOMM MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
-XCOMM NONINFRINGEMENT. IN NO EVENT SHALL QUARTERDECK OFFICE SYSTEMS,
-XCOMM INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING SPECIAL,
-XCOMM INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA, OR
-XCOMM PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS
-XCOMM OF WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT
-XCOMM OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-
-usage() {
- if [ -n "$1" ]
- then
- echo "`basename $0`: $1"
- fi
-
- echo ""
- echo "Usage: `basename $0` [options] hostname command args ..."
- echo ""
- echo "where options include:"
- echo " -c context run command in the specified context"
- echo " -g interpret command as a generic command"
- echo " -l username run command as the specified user"
- echo " -v enable verbose output"
- exit 1
-}
-
-if [ $# -eq 0 ]
-then
- usage
-fi
-
-context=X
-verbose=DETACH
-name=
-kind=CMD
-
-while :
-do
- case $1 in
- -c)
- if [ $# -lt 2 ]
- then
- usage "-c option requires an argument"
- fi
-
- context=$2
- shift; shift
- ;;
- -g)
- kind=GENERIC-CMD
- shift
- ;;
- -l)
- if [ $# -lt 2 ]
- then
- usage "-l option requires an argument"
- fi
-
- name="-l $2"
- shift; shift
- ;;
- -v)
- verbose=NODETACH
- shift
- ;;
- *)
- if [ $# -eq 0 ]
- then
- usage "missing host name"
- fi
-
- host=$1
- shift
- break
- ;;
- esac
-done
-
-if [ $# -eq 0 ]
-then
- usage "missing command"
-fi
-
-case $verbose in
-DETACH)
- exec > /dev/null
- ;;
-esac
-
-case "$DISPLAY" in
-:*) disp="`uname -n`$DISPLAY"
- echo expanded $DISPLAY to $disp
- ;;
-*) disp="$DISPLAY"
- ;;
-esac
-
-(
-cat << /
-CONTEXT $context
-MISC X DISPLAY=$disp
-$kind $*
-$verbose
-/
-xauth list $disp | sed 's/^/AUTH X11 /'
-echo ""
-) | RSHCMD $host $name rstartd
diff --git a/rstart.in b/rstart.in
new file mode 100644
index 0000000..f096a53
--- /dev/null
+++ b/rstart.in
@@ -0,0 +1,124 @@
+#! /bin/sh
+# $Xorg: client.cpp,v 1.4 2000/12/20 16:41:43 pookie Exp $
+#
+
+# Copyright (c) 1993 Quarterdeck Office Systems
+#
+# Permission to use, copy, modify, distribute, and sell this software
+# and software and its documentation for any purpose is hereby granted
+# without fee, provided that the above copyright notice appear in all
+# copies and that both that copyright notice and this permission
+# notice appear in supporting documentation, and that the name
+# Quarterdeck Office Systems, Inc. not be used in advertising or
+# publicity pertaining to distribution of this software without
+# specific, written prior permission.
+#
+# THIS SOFTWARE IS PROVIDED "AS-IS". QUARTERDECK OFFICE SYSTEMS,
+# INC., DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+# INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
+# NONINFRINGEMENT. IN NO EVENT SHALL QUARTERDECK OFFICE SYSTEMS,
+# INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING SPECIAL,
+# INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA, OR
+# PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS
+# OF WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT
+# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+usage() {
+ if [ -n "$1" ]
+ then
+ echo "`basename $0`: $1"
+ fi
+
+ echo ""
+ echo "Usage: `basename $0` [options] hostname command args ..."
+ echo ""
+ echo "where options include:"
+ echo " -c context run command in the specified context"
+ echo " -g interpret command as a generic command"
+ echo " -l username run command as the specified user"
+ echo " -v enable verbose output"
+ exit 1
+}
+
+if [ $# -eq 0 ]
+then
+ usage
+fi
+
+context=X
+verbose=DETACH
+name=
+kind=CMD
+
+while :
+do
+ case $1 in
+ -c)
+ if [ $# -lt 2 ]
+ then
+ usage "-c option requires an argument"
+ fi
+
+ context=$2
+ shift; shift
+ ;;
+ -g)
+ kind=GENERIC-CMD
+ shift
+ ;;
+ -l)
+ if [ $# -lt 2 ]
+ then
+ usage "-l option requires an argument"
+ fi
+
+ name="-l $2"
+ shift; shift
+ ;;
+ -v)
+ verbose=NODETACH
+ shift
+ ;;
+ *)
+ if [ $# -eq 0 ]
+ then
+ usage "missing host name"
+ fi
+
+ host=$1
+ shift
+ break
+ ;;
+ esac
+done
+
+if [ $# -eq 0 ]
+then
+ usage "missing command"
+fi
+
+case $verbose in
+DETACH)
+ exec > /dev/null
+ ;;
+esac
+
+case "$DISPLAY" in
+:*) disp="`uname -n`$DISPLAY"
+ echo expanded $DISPLAY to $disp
+ ;;
+*) disp="$DISPLAY"
+ ;;
+esac
+
+(
+cat << /
+CONTEXT $context
+MISC X DISPLAY=$disp
+$kind $*
+$verbose
+/
+xauth list $disp | sed 's/^/AUTH X11 /'
+echo ""
+) | @RSH@ $host $name rstartd
--
1.6.0.4
More information about the xorg-devel
mailing list